load_datafile_callback(3)

NAME
load_datafile_callback

SYNOPSIS
#include <allegro.h>

DATAFILE *load_datafile_callback(const char *filename, void (*callback)(DATAFILE *d));

DESCRIPTION
Loads a datafile into memory, calling the specified hook function once for each object in the file, passing it a pointer to the object just read.

SEE ALSO
load_datafile(3), unload_datafile(3), load_datafile_object(3), set_color_conversion(3), fixup_datafile(3), packfile_password(3), find_datafile_object(3), register_datafile_object(3)